.root {
    width: 100%;
    min-height: 100vh;
    max-width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

.partners {
    padding-top: rem(60);
    padding-bottom: rem(50);
    background: #EDF1F5;

    &__header {
        color: $dark;
        font-weight: 700;
        font-size: rem(35);
        line-height: rem(44);
        margin-bottom: rem(16);
    }

    &__main {

    }

    &__group {
        display: grid;
        grid-row-gap: rem(8);
        grid-column-gap: rem(8);
        grid-template-columns: 1fr 1fr;
    }

    &__item {
        display: block;
    }

    @include media-breakpoint-up(sm) {

        &__group {
            grid-template-columns: 1fr 1fr 1fr;
        }
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(80);
        padding-bottom: rem(70);

        &__header {
            line-height: 120%;
            font-size: rem(42);
            margin-bottom: rem(32);
        }

        &__group {
            grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
        }
    }

    @include media-breakpoint-up(xl) {

        &__header {
            font-size: rem(50);
            line-height: rem(60);
        }

        &__group {
            grid-row-gap: rem(16);
            grid-column-gap: rem(16);
        }
    }
}

.modal {
    color: $black;
    padding: rem(32);
    border-radius: 32px;
    max-width: 98%;

    .carousel__button {
        background: #F4F5F6;
        border-radius: 50%;
        top: rem(20) !important;
        right: rem(20) !important;

        svg {
            stroke: rgba(131, 136, 143, 1);
            filter: none;
        }
    }

    @include media-breakpoint-up(xl) {
        width: rem(1080);
    }
}

.section {
    padding: rem(40) 0;

    &--gray {
        background: #EDF1F5;
    }

    &__header {
        font-weight: 700;
        line-height: 120%;
        font-size: rem(32);
        margin-bottom: rem(24);
    }

    &__lead {
        line-height: 140%;
        font-size: rem(20);
        max-width: rem(1010);
        margin: 0 auto rem(30) auto;
    }

    &__footer {
        padding-top: rem(25);

        .btn {
            width: 100%;
        }
    }

    @include media-breakpoint-up(md) {
        padding: rem(60) 0;

        &__header {
            line-height: 120%;
            font-size: rem(42);
            text-align: center;
        }

        &__lead {
            text-align: center;
            margin-bottom: rem(35);
        }

        &__footer {
            text-align: center;
            padding-top: rem(30);

            .btn {
                width: auto;
                min-width: rem(370);
            }
        }

        @include media-breakpoint-up(xl) {

            &__header {
                font-size: rem(50);
                line-height: rem(60);
                margin-bottom: rem(20);
            }
        }
    }
}

.pro-items {
    display: grid;
    grid-row-gap: rem(15);
    grid-column-gap: rem(12);
    grid-template-columns: 1fr;

    @include media-breakpoint-up(sm) {
        grid-template-columns: 1fr 1fr;
    }

    @include media-breakpoint-up(md) {
        grid-template-columns: 1fr 1fr 1fr;
    }

    @include media-breakpoint-up(xl) {
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    }
}

.pro-item {
    color: $dark;
    fill: #9FBEEF;
    line-height: 140%;
    font-size: rem(20);
    text-align: center;
    background: $white;
    border-radius: 14px;
    text-decoration: none;
    padding: rem(16) rem(24) rem(24) rem(24);

    &__icon {
        font-size: 0;
        line-height: 0;
        height: rem(36);
        display: inline-block;
        margin-bottom: rem(5);
    }

    &__title {
        font-weight: 600;
        margin-bottom: rem(10);
    }

    &:hover {
        color: $dark;
        fill: #9FBEEF;
        text-decoration: none;
        transition: .3s;
    }

    @include media-breakpoint-up(sm) {
        padding: rem(16) rem(16) rem(24) rem(16);
    }

    @include media-breakpoint-up(md) {

        &:nth-child(4),
        &:nth-child(5) {
            transform: translateX(50%);
        }

        &__title {
            margin-bottom: rem(26);
        }
    }

    @include media-breakpoint-up(xl) {

        &:nth-child(4),
        &:nth-child(5) {
            transform: translateX(0);
        }

        &:hover {
            color: $white;
            fill: $white;
            background: $blue;
        }
    }
}

.parents-group {
    display: grid;
    grid-row-gap: rem(15);
    grid-column-gap: rem(12);
    grid-template-columns: 1fr 1fr;

    @include media-breakpoint-up(lg) {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}

.parent {
    color: $white;
    display: block;
    overflow: hidden;
    font-weight: 500;
    line-height: 125%;
    font-size: rem(17);
    position: relative;
    border-radius: 10px;
    text-decoration: none;

    &:hover {
        color: $white;
        text-decoration: none;
    }

    &__image {
        z-index: 1;
        display: block;
        height: rem(178);
        position: relative;
    }

    &__content {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 10;
        padding: rem(10);
        position: absolute;
    }

    @include media-breakpoint-up(md) {
        font-weight: 600;
        line-height: 140%;
        font-size: rem(20);
        text-align: center;
        border-radius: 14px;

        &__image {
            height: rem(184);
        }

        &__content {
            padding: rem(16) rem(46);
            display: flex;
            align-items: center;
            justify-content: center;
        }
    }

    @include media-breakpoint-up(lg) {
        font-size: rem(16);
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(20);
    }
}

.contact-group {
    display: grid;
    grid-row-gap: rem(20);
    grid-column-gap: rem(20);
    grid-template-columns: 1fr;

    @include media-breakpoint-up(md) {
        grid-template-columns: 1fr 1fr;
    }

    @include media-breakpoint-up(xl) {
        grid-row-gap: rem(24);
        grid-column-gap: rem(24);
    }
}

.contact {
    padding: rem(20);
    background: $white;
    border-radius: 30px;

    &__main {
        margin-bottom: rem(20);
    }

    &__header {
        font-weight: 700;
        line-height: 125%;
        font-size: rem(32);
        margin-bottom: rem(18);
    }

    &__group {

        &:not(:last-child) {
            margin-bottom: rem(26);
        }
    }

    &__subtitle {
        margin-bottom: rem(20);
    }

    &__title {
        color: $blue;
        font-weight: 600;
    }

    &__map {
        height: rem(256);
        overflow: hidden;
        border-radius: 14px;
    }

    @include media-breakpoint-up(md) {
        grid-column-start: 1;
        grid-column-end: 3;
        display: flex;
        justify-content: space-between;

        &__main {
            margin-bottom: 0;
            width: calc(50% - 10px);
        }

        &__map {
            height: auto;
            width: calc(50% - 10px);
            flex-shrink: 0;
        }
    }

    @include media-breakpoint-up(xl) {
        line-height: 140%;
        font-size: rem(24);

        &__header {
            font-size: rem(50);
            line-height: rem(60);
        }

        &__subtitle {
            margin-bottom: rem(30);
        }

        &__map {
            width: rem(600);
        }
    }
}

.contact-second {
    color: $dark;
    padding: rem(20);
    font-weight: 400;
    line-height: 150%;
    font-size: rem(16);
    background: $white;
    border-radius: 10px;
    display: flex;
    flex-direction: column;

    &__header {
        font-weight: 500;
        line-height: 125%;
        font-size: rem(32);
        margin-bottom: rem(15);
    }

    &__text {
        margin-bottom: rem(15);
        flex-grow: 1;
    }

    &__link {
        color: $blue;
        font-weight: 500;
        line-height: 145%;
        font-size: rem(18);
        text-decoration: underline;

        &:hover {
            color: $blue;
            text-decoration: none;
        }
    }

    @include media-breakpoint-up(xl) {
        padding: rem(30);
    }
}

#map {
    height: 100%;
}

@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
